Skip to main content

Documentation Index

Fetch the complete documentation index at: https://docs.lead.bank/llms.txt

Use this file to discover all available pages before exploring further.

Below is an example request when the debtor is sending stablecoins and the creditor is receiving foreign currency (over blockchain rails) or dollars.

POST /v0/blockchain_payments

Auth Scope: blockchain_payment/read_write 

Example

Crypto-to-Fiat

Request
{
    "debtor": {
        "account_identifier":
        {
            "type": "wallet_address",
            "value": "0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48"
        },
        "chain": "base",
        "entity_id": "entity_67890",
        "refund_wallet_address": "0xB9m86771c6218b36c1d19D4a2e9Eb0cE3606eB49"
    }
    "creditor":
    {
        "payment_rail": "clabe",
        "clabe":
        {
            "account_number": "00218090010000001234"
        },
        "type": "business",
        "business":
        {
            "business_name": "Acme Mexico SA de CV"
        },
        "address":
        {
            "line_one": "Av. Reforma 123",
            "city": "Ciudad de México",
            "country": "MX",
            "postal_code": "06600"
        }
    },
    "creditor_agent":
    {
        "bank_name": "BBVA México",
        "country_code": "MX"
    },
    "amounts": 
    {
        "instructed_amount": 1000000,
        "instructed_currency_code": "USDC",
        "settlement_currency_code": "MXN"
    },
    "payment_purpose":
    {
        "type": "payment_for_goods"
    },
    "reference": "INV-MXN-2026-001",
}
Success Response (200)
{
    "id": "blockchain_payment_8888",
    "debtor":
    {
        "account_identifier":
        {
            "type": "wallet_address",
            "value": "0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48"
        },
        "chain": "base",
        "refund_wallet_address": "0xB9m86771c6218b36c1d19D4a2e9Eb0cE3606eB49",
        "funding_instructions":
        {
            "from_wallet_address": "0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48",
            "chain": "base",
            "amount": 1000000,
            "currency_code": "USDC",
            "to_wallet_address": "0x022e3fD8662c84AF51fF06d7DcAe0b675416dab4"
        },
        "entity_id": "entity_67890"
    },
    "creditor":
    {
        "payment_rail": "clabe",
        "clabe":
        {
            "account_number": "00218090010000001234"
        },
        "type": "business",
        "business":
        {
            "business_name": "Acme Mexico SA de CV"
        },
        "address":
        {
            "line_one": "Av. Reforma 123",
            "city": "Ciudad de México",
            "country": "MX",
            "postal_code": "06600"
        }
    },
    "creditor_agent":
    {
        "bank_name": "BBVA México",
        "country_code": "MX"
    },
    "amounts":
    {
        "instructed_amount": 1000000,
        "instructed_currency_code": "USDC",
        "settlement_currency_code": "MXN",
        "settlement_amount": 17461350,
        "settlement_exchange_rate": 1746
    },
    "payment_purpose":
    {
        "type": "invoice_payment"
    },
    "reference": "INV-MXN-2026-001",
    "status": "created",
    "created_at": "2026-02-24T11:22:33Z",
    "updated_at": "2026-02-24T11:22:33Z"
}